org.jboss.resteasy.client.core.executors

## Class URLConnectionClientExecutor

- java.lang.Object
- - org.jboss.resteasy.client.core.executors.URLConnectionClientExecutor

- All Implemented Interfaces:
    ClientExecutor

      public class URLConnectionClientExecutor
      extends Object
      implements ClientExecutor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLConnectionClientExecutor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected HttpURLConnection` | `createConnection(ClientRequest request)`
    `ClientRequest` | `createRequest(String uriTemplate)`
    `ClientRequest` | `createRequest(UriBuilder uriBuilder)`
    `ClientResponse<?>` | `execute(ClientRequest request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URLConnectionClientExecutor

          public URLConnectionClientExecutor()

  - ### Method Detail

    - #### execute

          public ClientResponse<?> execute(ClientRequest request)
                                    throws Exception

      Specified by:
        `execute` in interface `ClientExecutor`
      Throws:
        `Exception`

    - #### createRequest

          public ClientRequest createRequest(String uriTemplate)

      Specified by:
        `createRequest` in interface `ClientExecutor`

    - #### createRequest

          public ClientRequest createRequest(UriBuilder uriBuilder)

      Specified by:
        `createRequest` in interface `ClientExecutor`

    - #### createConnection

          protected HttpURLConnection createConnection(ClientRequest request)
                                                throws Exception

      Throws:
        `Exception`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ClientExecutor`

Copyright © 2014. All Rights Reserved.